Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037887
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2018-02-09 15:062018-02-13 19:39
ReportermalsasuaView Statuspublic 
Assigned ToRetail 
PriorityimmediateResolutionfixedFixed in VersionRR17Q4.1
StatusclosedFix in branchFixed in SCM revisione9606a3d8e9f
ProjectionnoneETAnoneTarget VersionRR17Q4.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - QA Approved
Regression date2017-07-04
Regression introduced in releaseRR17Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e04e7615f772b1de03f344fa01c920932dd08ab [^]
Triggers an Emergency PackNo
Summary

0037887: when a invoice is created from POS, the date account is set with hours, mins and secs

Descriptionwhen a invoice is created from POS (by cashup or directly), the dateaccount is set with hours, minutes and secconds, and it should be a truncated date.

For example, the current date is "09/02/2018 14:25:17", and it should be "09/02/2018 00:00:00"

Also, date invoice should be a truncated date, but it is happening from a long time, previous to 17Q1

Steps To ReproducePOS:
. new receipt with the option "invoice this receipt"
. complete it

Database:
. the c_invoice.dateacct created is set with HH:MM:SS

POS:
. new receipt without the option "invioce this receipt"
. do cashup

Database:
. the c_invoice.dateacct created is set with HH:MM:SS
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0037873 closedranjith_qualiantech_com when a invoice is created from POS, the date account is set with hours, mins and secs 

-  Notes
(0102348)
hgbot (developer)
2018-02-13 10:36

Repository: retail/backports/3.0RR17Q4.1/org.openbravo.retail.posterminal
Changeset: e9606a3d8e9f4a3388d7db4ccda2e97dbc9b39a0
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 13 15:05:42 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR17Q4.1/org.openbravo.retail.posterminal/rev/e9606a3d8e9f4a3388d7db4ccda2e97dbc9b39a0 [^]

Fixed issue 37887 : Invoices should be created without time in accounting date and invoice date fields

* Time should be truncated fom Date while creating invoice through cashup or receipt

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor_data.xsql
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0102349)
hgbot (developer)
2018-02-13 10:37

Repository: retail/backports/3.0RR17Q4.1/pi-mobile
Changeset: 8bc96b7a124a4e8a43e4cda9dd96985eb815233f
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 13 12:08:32 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR17Q4.1/pi-mobile/rev/8bc96b7a124a4e8a43e4cda9dd96985eb815233f [^]

Verifies issue 37887 : Added automated test 'I37887_VerfiyInvoiceDate'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I37887_VerfiyInvoiceDate.java
---

- Issue History
Date Modified Username Field Change
2018-02-12 14:08 marvintm Type defect => backport
2018-02-12 14:08 marvintm Target Version => RR17Q4.1
2018-02-13 10:36 hgbot Checkin
2018-02-13 10:36 hgbot Note Added: 0102348
2018-02-13 10:36 hgbot Status scheduled => resolved
2018-02-13 10:36 hgbot Resolution open => fixed
2018-02-13 10:36 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR17Q4.1/org.openbravo.retail.posterminal/rev/e9606a3d8e9f4a3388d7db4ccda2e97dbc9b39a0 [^]
2018-02-13 10:37 hgbot Checkin
2018-02-13 10:37 hgbot Note Added: 0102349
2018-02-13 19:39 marvintm Review Assigned To => marvintm
2018-02-13 19:39 marvintm Status resolved => closed
2018-02-13 19:39 marvintm Fixed in Version => RR17Q4.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker